org.apache.fop.render.bitmap

## Class TIFFDocumentHandler

- java.lang.Object
- - org.apache.fop.render.intermediate.AbstractIFDocumentHandler
  - - org.apache.fop.render.intermediate.AbstractBinaryWritingIFDocumentHandler
    - - org.apache.fop.render.bitmap.AbstractBitmapDocumentHandler
      - - org.apache.fop.render.bitmap.TIFFDocumentHandler

All Implemented Interfaces:
  IFDocumentHandler

    public class TIFFDocumentHandler
    extends AbstractBitmapDocumentHandler

`IFDocumentHandler` implementation that produces TIFF files.

### Field Summary

### Fields inherited from class org.apache.fop.render.bitmap.AbstractBitmapDocumentHandler

`TARGET_BITMAP_SIZE`

### Fields inherited from class org.apache.fop.render.intermediate.AbstractBinaryWritingIFDocumentHandler

`fontInfo, outputStream`

### Method Summary

All Methods Instance Methods Concrete Methods
`IFDocumentHandlerConfigurator` `getConfigurator()` Returns the configurator for this document handler, if any.
`String` `getDefaultExtension()` Returns the default file extension for the supported image type.
`String` `getMimeType()` Returns the MIME type of the output format that is generated by this implementation.

### Methods inherited from class org.apache.fop.render.bitmap.AbstractBitmapDocumentHandler

`createBufferedImage, endDocument, endDocumentHeader, endPage, endPageContent, endPageSequence, getSettings, handleExtensionObject, setDefaultFontInfo, setTargetBitmapSize, startDocument, startPage, startPageContent, startPageSequence, supportsPagesOutOfOrder`

### Methods inherited from class org.apache.fop.render.intermediate.AbstractBinaryWritingIFDocumentHandler

`getFontInfo, setFontInfo, setResult`

### Methods inherited from class org.apache.fop.render.intermediate.AbstractIFDocumentHandler

`endDocumentTrailer, endPageHeader, endPageTrailer, getContext, getDocumentNavigationHandler, getStructureTreeEventHandler, getUserAgent, setDocumentLocale, startDocumentHeader, startDocumentTrailer, startPageHeader, startPageTrailer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getMimeType

    public String getMimeType()

Returns the MIME type of the output format that is generated by this implementation.

Specified by:
  `getMimeType` in interface `IFDocumentHandler`
Specified by:
  `getMimeType` in class `AbstractBitmapDocumentHandler`
Returns:
  the MIME type

#### getDefaultExtension

    public String getDefaultExtension()

Returns the default file extension for the supported image type.

Specified by:
  `getDefaultExtension` in class `AbstractBitmapDocumentHandler`
Returns:
  the default file extension (ex. "png")

#### getConfigurator

    public IFDocumentHandlerConfigurator getConfigurator()

Returns the configurator for this document handler, if any.

Specified by:
  `getConfigurator` in interface `IFDocumentHandler`
Specified by:
  `getConfigurator` in class `AbstractBitmapDocumentHandler`
Returns:
  the configurator or null if there's no configurator